import {
  initialState as drawerInitialState,
  reducer as drawer,
  State as DrawerState
} from './drawer'
import { initialState as errorInitialState, reducer as error, State as ErrorState } from './error'
import login, { initialState as loginInitialState, State as LoginState } from './login'
// import {
//   initialState as profileInitialState,
//   reducer as profile,
//   State as ProfileState
// } from './profile'
import {
  initialState as systemInitialState,
  reducer as system,
  State as SystemState
} from './system'

// import { initialState as userInitialState, reducer as user, State as UserState } from './user'

// export * from './login'

export interface UIState {
  login: LoginState
  error: ErrorState
  drawer: DrawerState
  // user: UserState
  // profile: ProfileState
  system: SystemState
}

const reducers = {
  login,
  error,
  drawer,
  // user,
  // profile,
  system,
}

export const initialState: UIState = {
  login: loginInitialState,
  error: errorInitialState,
  drawer: drawerInitialState,
  // user: userInitialState,
  // profile: profileInitialState,
  system: systemInitialState,
}

export default reducers
